$(function(){
	
	/*************
	 prependは要素の内部の先頭に追加
	*************/
	//btn_demoAがクリックされた時...
	$('#btn_demoA').click(function(){
		//demoAの中のpにprependの処理をする ※pタグの、開始タグの直後に追加
		$('#demoA p').prepend('<span>ここに追加</span>');
	});
	
	/*************
	 afterは要素の後ろに追加
	*************/
	//btn_demoBがクリックされた時...
	$('#btn_demoB').click(function(){
		//demoBの中のpタグにafterの処理をする　※pタグの直後に追加
		$('#demoB p').after('<span>ここに追加</span>');
	});
	
	/*************
	 beforeは要素の前に追加
	*************/
	//btn_demoCがクリックされた時...
	$('#btn_demoC').click(function(){
		//demoCの中のpタグにbeforeの処理をする　※pタグの直前に追加
		$('#demoC p').before('<span>ここに追加</span>');
	});
	
	/*************
	 wrapは要素を囲む
	*************/
	//btn_demoDがクリックされた時...
	$('#btn_demoD').click(function(){
		//demoDの中のpタグにwrapの処理をする　※pタグをspanで囲む
		$('#demoD p').wrap('<span></span>');
	});

	/*************
	 emptyは要素の中身を削除する
	*************/
	//btn_demoEがクリックされた時...
	$('#btn_demoE').click(function(){
		//demoEの中のpタグにemptyの処理をする　※pタグの中身を削除する
		$('#demoE p').empty();
	});
	
});